1

juju 2.0 not supported on ubuntu 14.04.1 LTS?

I have added the repository juju/devel and then tried to install juju but its not able to recognize juju-core2 I have checked that there is recent update on the juju link: https://jujucharms.com/docs/devel/getting-started

It appears its supported for Ubuntu, 16.04LTS(Xenial) only? I want to install on 14.04 but it appears its no more allowed there. I have tried it earlier on ubuntu 14.04 and it worked fine for me. But now its unable to bootstrap

1

The package in the PPA is called 'juju2', not 'juju-core2'.

2
  • I have added the devel repository Package: juju State: not installed Version: 1.24.7-0ubuntu1~14.04.1 Priority: extra Section: universe/devel Maintainer: Ubuntu Developers <br/> <ubuntu-devel-discuss@lists.ubuntu.com> Architecture: all Uncompressed Size: 114 k Depends: juju-core (>= 1.24.7-0ubuntu1~14.04.1) <br/> but it cannot find the juju2 package in it. – Webscholar Apr 4 '16 at 4:21
  • It's there alright. This is what I have: dpkg-query -W juju2<br/> juju2 2.0-beta3-0ubuntu1~14.04.2~juju1 cat /etc/apt/sources.list.d/juju-devel-trusty.list deb ppa.launchpad.net/juju/devel/ubuntu trusty main<br/> # deb-src ppa.launchpad.net/juju/devel/ubuntu trusty main Boy, do I dislike the markup on askubuntu. – pmatulis Apr 4 '16 at 12:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.